ランタイム: Mix::Scene::IDefaultParticleSystem Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IDefaultParticleSystem Class Referenceabstract

デフォルトパーティクルプロデューサーインターフェース More...

`#include <IDefaultParticleSystem.h>`

Inheritance diagram for Mix::Scene::IDefaultParticleSystem:
[legend]
Collaboration diagram for Mix::Scene::IDefaultParticleSystem:
[legend]

## Public Types

enum | PLANE_TYPE { P_XY = 0, P_XZ = 1, P_YZ = 2 }
| プレーンタイプ列挙定数 More...
Public Types inherited from Mix::Scene::IParticleSystem
enum | BASE_FLAGS { BILLBOARD = 0x00000001, SIMULATION_WORLD_SPACE = 0x00000002 }
| ベースフラグ列挙定数 More...
enum | BEHAVIOR_FLAGS { INVISIBLE_SLEEP = 0x00000001, FAR_SKIP_FRAMES = 0x00000002 }
| 振る舞いフラグ列挙定数 More...

## Public Member Functions

virtual const Mix::Vector3 & | GetMinAngularImpulse (void) const =0
| 回転の最小撃力を取得します More...
virtual const Mix::Vector3 & | GetMaxAngularImpulse (void) const =0
| 回転の最大撃力を取得します More...
virtual void | SetAngularImpulse (const Mix::Vector3 &minImpulse, const Mix::Vector3 &maxImpulse)=0
| 回転の撃力を設定します More...
virtual const Mix::Vector3 & | GetMinAngularAcceleration (void) const =0
| 回転の最小加速度を取得します More...
virtual const Mix::Vector3 & | GetMaxAngularAcceleration (void) const =0
| 回転の最大加速度を取得します More...
virtual void | SetAngularAcceleration (const Mix::Vector3 &minAcc, const Mix::Vector3 &maxAcc)=0
| 回転の加速度を設定します More...
virtual Mix::Scene::IDefaultParticleSystem::PLANE_TYPE | GetPlaneType (void) const =0
| プレーンの種類を取得します More...
Public Member Functions inherited from Mix::Scene::ISimpleParticleSystem
virtual Boolean | IsBillboard (void) const =0
| 常にカメラの方向を向くかどうかを確認します More...
virtual Boolean | IsSimulationWorldSpace (void) const =0
| 発生元の回転、移動の影響を受けるかどうかを取得します More...
virtual Boolean | IsInvisibleSleep (void) const =0
| 視界に入っていない場合にスリープ状態にするかどうかを取得します More...
virtual void | SetInvisibleSleep (Boolean state)=0
| 視界に入っていない場合にスリープ状態にするかどうかを設定します More...
virtual Float32 | GetMinFarDist (void) const =0
| 遠いと判断する最小距離を取得します More...
virtual Float32 | GetMaxFarDist (void) const =0
| 遠いと判断する最大距離を取得します More...
virtual void | SetFarDist (Float32 minDist, Float32 maxDist)=0
| 遠いかどうかを判断する距離を設定します More...
virtual Boolean | IsFarSkipFrames (void) const =0
| 遠いと判断された際にフレームをスキップするかどうかを取得します More...
virtual void | SetFarSkipFrames (Boolean state)=0
| 遠いと判断された際にフレームをスキップするかどうかを設定します More...
virtual UInt32 | GetMaxFarSkipFrames (void) const =0
| 遠いと判断された際にスキップするフレームの最大数を取得します More...
virtual void | SetMaxFarSkipFrames (UInt32 value)=0
| 遠いと判断された際にスキップするフレームの最大数を設定します More...
virtual Float32 | GetMinEmitInterval (void) const =0
| 最小発生間隔を取得します More...
virtual Float32 | GetMaxEmitInterval (void) const =0
| 最大発生間隔を取得します More...
virtual void | SetEmitInterval (Float32 minEI, Float32 maxEI)=0
| 発生間隔を設定します More...
virtual UInt32 | GetMinEmitCount (void) const =0
| 最小発生数を取得します More...
virtual UInt32 | GetMaxEmitCount (void) const =0
| 最大発生数を取得します More...
virtual void | SetEmitCount (UInt32 minEC, UInt32 maxEC)=0
| 発生数を設定します More...
virtual const Mix::Vector3 & | GetEmitRadius (void) const =0
| 発生半径を取得します More...
virtual void | SetEmitRadius (const Mix::Vector3 &radius)=0
| 発生半径を設定します More...
virtual Float32 | GetEmitOffset (void) const =0
| 発生範囲の中心からのオフセットを取得します More...
virtual void | SetEmitOffset (Float32 offset)=0
| 発生範囲の中心からのオフセットを設定します More...
virtual Float32 | GetMinLife (void) const =0
| 最小ライフを取得します More...
virtual Float32 | GetMaxLife (void) const =0
| 最大ライフを取得します More...
virtual void | SetLife (Float32 minLife, Float32 maxLife)=0
| ライフを設定します More...
virtual Float32 | GetMinMass (void) const =0
| 最小質量を取得します More...
virtual Float32 | GetMaxMass (void) const =0
| 最大質量を取得します More...
virtual void | SetMass (Float32 minMass, Float32 maxMass)=0
| 質量を設定します More...
virtual const Mix::Vector3 & | GetGravity (void) const =0
| 重力を取得します More...
virtual void | SetGravity (const Mix::Vector3 &gravity)=0
| 重力を設定します More...
virtual const Mix::Vector3 & | GetConstantLinearVelocity (void) const =0
| 一定の移動速度を取得します More...
virtual void | SetConstantLinearVelocity (const Mix::Vector3 &vel)=0
| 一定の移動速度を設定します More...
virtual const Mix::Vector3 & | GetMinLinearImpulse (void) const =0
| 移動の最小撃力を取得します More...
virtual const Mix::Vector3 & | GetMaxLinearImpulse (void) const =0
| 移動の最大撃力を取得します More...
virtual void | SetLinearImpulse (const Mix::Vector3 &minImpulse, const Mix::Vector3 &maxImpulse)=0
| 移動の撃力を設定します More...
virtual const Mix::Vector3 & | GetMinLinearAcceleration (void) const =0
| 移動の最小加速度を取得します More...
virtual const Mix::Vector3 & | GetMaxLinearAcceleration (void) const =0
| 移動の最大加速度を取得します More...
virtual void | SetLinearAcceleration (const Mix::Vector3 &minAcc, const Mix::Vector3 &maxAcc)=0
| 移動の加速度を設定します More...
virtual Float32 | GetMinLinearVelocityDamping (void) const =0
| 移動の最小減衰値を取得します More...
virtual Float32 | GetMaxLinearVelocityDamping (void) const =0
| 移動の最大減衰値を取得します More...
virtual void | SetLinearVelocityDamping (Float32 minDamping, Float32 maxDamping)=0
| 移動の減衰値を設定します More...
virtual Float32 | GetMinAngularVelocityDamping (void) const =0
| 回転の最小減衰値を取得します More...
virtual Float32 | GetMaxAngularVelocityDamping (void) const =0
| 回転の最大減衰値を取得します More...
virtual void | SetAngularVelocityDamping (Float32 minDamping, Float32 maxDamping)=0
| 回転の減衰値を設定します More...
virtual const Mix::Vector2 & | GetInitalSize (void) const =0
| 最初のサイズを取得します More...
virtual const Mix::Vector2 & | GetLastSize (void) const =0
| 最後のサイズを取得します More...
virtual Float32 | GetMinSizeRand (void) const =0
| サイズの最小スケールを取得します More...
virtual Float32 | GetMaxSizeRand (void) const =0
| サイズの最大スケールを取得します More...
virtual void | SetSize (const Mix::Vector2 &initalSize, const Mix::Vector2 &lastSize, Float32 minSizeRnd, Float32 maxSizeRnd)=0
| サイズを設定します More...
virtual const Mix::Vector4 & | GetInitalColor (void) const =0
| 最初の色を取得します More...
virtual const Mix::Vector4 & | GetMiddleColor (void) const =0
| 中間の色を取得します More...
virtual const Mix::Vector4 & | GetLastColor (void) const =0
| 最後の色を取得します More...
virtual void | SetColor (const Mix::Vector4 &initalColor, const Mix::Vector4 &middleColor, const Mix::Vector4 &lastColor)=0
| 色を設定します More...
virtual Float32 | GetColorControlPoint1 (void) const =0
| 色の制御ポイント１を取得します More...
virtual Float32 | GetColorControlPoint2 (void) const =0
| 色の制御ポイント２を取得します More...
virtual void | SetColorControlPoints (Float32 p1, Float32 p2)=0
| 色の制御ポイントを設定します More...
virtual const Mix::Vector2 & | GetTexTL (void) const =0
| 貼り付けるテクスチャの左上のＵＶ座標を取得します More...
virtual const Mix::Vector2 & | GetTexBR (void) const =0
| 貼り付けるテクスチャの右下のＵＶ座標を取得します More...
virtual void | SetTexCoords (const Mix::Vector2 &tl, const Mix::Vector2 &br)=0
| 貼り付けるテクスチャのＵＶ座標を設定します More...
Public Member Functions inherited from Mix::Scene::IParticleSystem
virtual const Mix::Scene::IParticleSystem::CONFIG & | GetConfig (void) const =0
| 設定を取得します More...
virtual void | Internal_GetGenerator (Mix::Scene::IParticleGenerator **ppGenerator)=0
| ジェネレーターを取得します More...
virtual Boolean | Internal_CreateProcessor (Mix::Scene::IParticleProcessor **ppProcessor)=0
| プロセッサーを作成します More...
virtual Float32 | Internal_GetGenerateInterval (void) const =0
| 生成する間隔(秒単位)を取得します More...
virtual UInt32 | Internal_GetGenerateCount (void) const =0
| 生成する数を取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IDefaultParticleSystem (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::ISimpleParticleSystem
virtual | ~ISimpleParticleSystem (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IParticleSystem
virtual | ~IParticleSystem (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

デフォルトパーティクルプロデューサーインターフェース

Note
  ライティングが可能なパーティクルを生成、処理します。
  またライティングに必要な法線に続き、接線、従法線が有効であり、バンプマッピングもできます。

## Member Enumeration Documentation

enum Mix::Scene::IDefaultParticleSystem::PLANE_TYPE

プレーンタイプ列挙定数

Enumerator
P_XY | XY平面
P_XZ | XZ平面
P_YZ | YZ平面

## Constructor & Destructor Documentation

virtual Mix::Scene::IDefaultParticleSystem::~IDefaultParticleSystem | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Vector3& Mix::Scene::IDefaultParticleSystem::GetMinAngularImpulse | ( | void |  | ) | const

pure virtual

回転の最小撃力を取得します

Returns
  撃力を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Scene::IDefaultParticleSystem::GetMaxAngularImpulse | ( | void |  | ) | const

pure virtual

回転の最大撃力を取得します

Returns
  撃力を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::IDefaultParticleSystem::SetAngularImpulse | ( | const Mix::Vector3 & | minImpulse,
|  | const Mix::Vector3 & | maxImpulse
| ) |  |

pure virtual

回転の撃力を設定します

Parameters

  [in] | minImpulse | 最小撃力を表す Mix::Vector3 クラス
  [in] | maxImpulse | 最大撃力を表す Mix::Vector3 クラス

virtual const Mix::Vector3& Mix::Scene::IDefaultParticleSystem::GetMinAngularAcceleration | ( | void |  | ) | const

pure virtual

回転の最小加速度を取得します

Returns
  加速度を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Scene::IDefaultParticleSystem::GetMaxAngularAcceleration | ( | void |  | ) | const

pure virtual

回転の最大加速度を取得します

Returns
  加速度を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::IDefaultParticleSystem::SetAngularAcceleration | ( | const Mix::Vector3 & | minAcc,
|  | const Mix::Vector3 & | maxAcc
| ) |  |

pure virtual

回転の加速度を設定します

Parameters

  [in] | minAcc | 最小加速度を表す Mix::Vector3 クラス
  [in] | maxAcc | 最大加速度を表す Mix::Vector3 クラス

virtual Mix::Scene::IDefaultParticleSystem::PLANE_TYPE Mix::Scene::IDefaultParticleSystem::GetPlaneType | ( | void |  | ) | const

pure virtual

プレーンの種類を取得します

Returns
  種類を表す Mix::Scene::IDefaultParticleSystem::PLANE_TYPE 列挙定数を返します

The documentation for this class was generated from the following file:

- Mix/Scene/IDefaultParticleSystem.h